Summary:	Scripts for managing .spec files and building RPM packages
Summary(de.UTF-8):	Scripts fürs Bauen binärer RPM-Pakete
Summary(pl.UTF-8):	Skrypty pomocnicze do zarządznia plikami .spec i budowania RPM-ów
Summary(pt_BR.UTF-8):	Scripts e programas executáveis usados para construir pacotes
Summary(ru.UTF-8):	Скрипты и утилиты, необходимые для сборки пакетов
Summary(uk.UTF-8):	Скрипти та утиліти, необхідні для побудови пакетів
Name:		rpm-build-tools
Version:	4.8
Release:	2
License:	GPL
Group:		Applications/File
Group:		Base
Source0:	builder.sh
Source1:	adapter.awk
Source2:	adapter.sh
Source4:	shrc.sh
Source5:	dropin
BuildRequires:	sed >= 4.0
Requires:	gawk >= 3.1.7
Requires:	git-core >= 1.7
Requires:	grep
Requires:	less
Requires:	openssh-clients
Requires:	perl-base
Requires:	rpm-build
Requires:	rpmbuild(macros) >= 1.651
Requires:	sed >= 4.0
Requires:	time
Requires:	util-linux
Requires:	wget
Suggests:	pldnotify
Suggests:	rpm-specdump >= 0.3
Suggests:	schedtool
Suggests:	vim-syntax-spec
Conflicts:	mktemp < 1.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	%{_prefix}/lib

%description
Scripts for managing .spec files and building RPM packages.

%description -l de.UTF-8
Scripts fürs Bauen RPM-Pakete.

%description -l pl.UTF-8
Skrypty pomocnicze do zarządzania plikami .spec i do budowania RPM-ów.

%description -l pt_BR.UTF-8
Este pacote contém scripts e programas executáveis que são usados para
construir pacotes usando o RPM.

%description -l ru.UTF-8
Различные вспомогательные скрипты и исполняемые программы, которые
используются для сборки RPM'ов.

%description -l uk.UTF-8
Різноманітні допоміжні скрипти та утиліти, які використовуються для
побудови RPM'ів.

%prep
%setup -qcT
cp -p %{SOURCE0} %{SOURCE2} .
cp -p %{SOURCE1} adapter.awk

%{__sed} -i -e 's,^adapter=.*/adapter.awk,adapter=%{_libdir}/adapter.awk,' adapter.sh

%{__sed} -i -e '/^VERSION=/s,\([^/]\+\)/.*",\1-RELEASE",' builder.sh adapter.sh
%{__sed} -i -e '/\tRCSID =/,/^\trev =/d;/\tVERSION = /s,\([^/]\+\)/.*,\1-RELEASE",' adapter.awk

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},/etc/shrc.d}
cp -p adapter.awk $RPM_BUILD_ROOT%{_libdir}/adapter.awk
install -p builder.sh $RPM_BUILD_ROOT%{_bindir}/builder
install -p adapter.sh $RPM_BUILD_ROOT%{_bindir}/adapter
install -p %{SOURCE5} $RPM_BUILD_ROOT%{_bindir}
install -p %{SOURCE4} $RPM_BUILD_ROOT/etc/shrc.d/rpm-build.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/adapter
%attr(755,root,root) %{_bindir}/builder
%attr(755,root,root) %{_bindir}/dropin
/etc/shrc.d/rpm-build.sh
%{_libdir}/adapter.awk
%changelog
* Fri Nov 13 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpm-build-tools.git;a=log;h=master

* Fri Nov 13 2015 Elan Ruusamäe <glen@delfi.ee> ada86dc
- require rpm-build-macros 1.651, where shrc.sh was moved from there to here

* Sat Nov 07 2015 Elan Ruusamäe <glen@delfi.ee> d8dbe30
- configure initial git repo push -u target

* Mon Nov 02 2015 Elan Ruusamäe <glen@delfi.ee> d1d44eb
- use pldnotify from PATH

* Mon Nov 02 2015 Elan Ruusamäe <glen@delfi.ee> 76f8930
- suggest pldnotify

* Mon Nov 02 2015 Elan Ruusamäe <glen@delfi.ee> 5f2d988
- v4.8; pldnotify moved as separate project

* Mon Nov 02 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e89bf8f
- Use 45s timeout (the same as already used for wget).

* Sun Nov 01 2015 Elan Ruusamäe <glen@delfi.ee> f2d6505
- update bconds usage list

* Sun Nov 01 2015 Elan Ruusamäe <glen@delfi.ee> 3c12d9f
- rmo_check: handle missing packages

* Sun Nov 01 2015 Elan Ruusamäe <glen@delfi.ee> a4c728d
- pldnotify: first check releases from release-monitoring.org

* Sun Nov 01 2015 Elan Ruusamäe <glen@delfi.ee> 6c40c5a
- builder: xtitle check stderr, so it would work in capture blocks too

* Sun Nov 01 2015 Elan Ruusamäe <glen@delfi.ee> 236af16
- builder: use multiple mirror file search locations

* Sun Nov 01 2015 Elan Ruusamäe <glen@delfi.ee> 1ae7dab
- adapter: cleanup r= from sf urls

* Wed Sep 23 2015 Elan Ruusamäe <glen@delfi.ee> d2d44fe
- update-geoip: update git commit status display

* Mon Sep 21 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 635bbe2
- adapter.awk: fix %buildrequires_jdk handling

* Mon Sep 21 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 5adfcd1
- builder.sh: fix '%required_jdk' placeholder

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1556d22
- more

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> f81dcb5
- updated list

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 70528e4
- kf5-kfilemetadata, kf5-baloo - new packages

* Tue Sep 01 2015 Elan Ruusamäe <glen@delfi.ee> a7085f4
- geoip: add autocommit

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> a21c7e6
- fix python sphinx dep

